Subject: Re: [PATCH] document string_list_clear

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Dec 2014 14:28:03 -0800

Jonathan Nieder <[email-masked]> writes:

> Michael Haggerty wrote:
>
>>                              I would find it a pity for that work to be
>> squashed into Documentation/technical/api-*.txt, where in my opinion it
>> is less discoverable and more likely to fall into disrepair.
>
> I think we're in violent agreement and keep repeating ourselves.

Hmph, I am confused.

I somehow had an impression that the "move to doc and remove from
header" patch was to illustrate how unpleasant the result will be as
a whole (i.e. results in a nice documentation as a starting point,
but we can see that it will be hard to motivate and help people to
keep it up to date during further development).  Which would suggest
that you are in favor of moving the other way around, to keep the
header rich with documentation only at the higher level.  Am I
reading you correctly?

> All I said is that api-strbuf.txt is currently the most readable
> documentation of the strbuf API I can find.  The patch to move the
> text to strbuf.h looked rough and incomplete.  Therefore I don't think
> it's ready to be applied as is.  If you'd like more details about why
> I say that, feel free to ask.